﻿using System;
using System.Windows;
using Syncfusion.Windows.Controls.Navigation;
using Syncfusion.Windows.Utils;

namespace WpfApplication19
{
   /// <summary>
   /// Interaction logic for MainWindow.xaml
   /// </summary>
   public partial class MainWindow 
   {
      public MainWindow()
      {
         InitializeComponent();

         var BoldCommand = new DelegateCommand(BoldCmd, CanBoldCmd);
         var CutCommand = new DelegateCommand(CutCmd, CanBCutCmd);
         var CopyCommand = new DelegateCommand(CopyComd, CanCopyCmd);
         var PasteCommand = new DelegateCommand(PasteCmd, CanPasteCmd);


         var bold = new SfRadialMenuItem() { Header = "Bold", Command = BoldCommand}; 
         var cut = new SfRadialMenuItem() { Header = "Cut", Command = CutCommand};

         var copy = new SfRadialMenuItem() {Header = "Copy", Command = CopyCommand};

         var paste = new SfRadialMenuItem() {Header = "Paste", Command = PasteCommand};


         
         radialMenu.Items.Add(bold);
         radialMenu.Items.Add(cut);
         radialMenu.Items.Add(copy);
         radialMenu.Items.Add(paste); 
      }

      private bool CanPasteCmd(object obj)
      {
         return false;
      }

      private bool CanCopyCmd(object obj)
      {
         return false;
      }

      private bool CanBCutCmd(object obj)
      {
         return false;
      }

      private bool CanBoldCmd(object obj)
      {
         return true;
      }



      private void PasteCmd(object obj)
      {
         MessageBox.Show("PasteCmd");
      }

      private void CopyComd(object obj)
      {
         MessageBox.Show("CopyComd");
      }

      private void CutCmd(object obj)
      {
         MessageBox.Show("CutCmd");
      }

      
      private void BoldCmd(object obj)
      {
         MessageBox.Show("BoldCmd");
      }
   }
}
